# Information Schema INNODB\_MUTEXES Table

The `INNODB_MUTEXES` table monitors mutex and rw locks waits. It has the following columns:

| Column       | Description                                         |
| ------------ | --------------------------------------------------- |
| NAME         | Name of the lock, as it appears in the source code. |
| CREATE\_FILE | File name of the mutex implementation.              |
| CREATE\_LINE | Line number of the mutex implementation.            |
| OS\_WAITS    | How many times the mutex occurred.                  |

The `CREATE_FILE` and `CREATE_LINE` columns depend on the InnoDB/XtraDB version.

{% tabs %}
{% tab title="Current" %}
The table provides information about all columns listed in the previous table.
{% endtab %}

{% tab title="< 10.2.2" %}
The table provides information about `rw_lock_t`, not about any mutexes.
{% endtab %}
{% endtabs %}

The [SHOW ENGINE INNODB STATUS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-engine.md#show-engine-innodb-mutex) statement provides similar information.

## Examples

```sql
SELECT * FROM INNODB_MUTEXES;
+------------------------------+---------------------+-------------+----------+
| NAME                         | CREATE_FILE         | CREATE_LINE | OS_WAITS |
+------------------------------+---------------------+-------------+----------+
| &dict_sys->mutex             | dict0dict.cc        |         989 |        2 |
| &buf_pool->flush_state_mutex | buf0buf.cc          |        1388 |        1 |
| &log_sys->checkpoint_lock    | log0log.cc          |        1014 |        2 |
| &block->lock                 | combined buf0buf.cc |        1120 |        1 |
+------------------------------+---------------------+-------------+----------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_mutexes-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
